Name:          kaudiocreator
Version:       1.3
Release:       %mkrel 3

Summary:       CD ripper and audio encoder frontend for KDE4
License:       GPLv2+
Group:         Graphical desktop/KDE
Url:           http://opendesktop.org/content/show.php/KAudioCreator?content=107645
Source:        http://opendesktop.org/CONTENT/content-files/107645-%{name}-%{version}.tar.bz2

BuildRequires: libkcompactdisc-devel
BuildRequires: libkcddb-devel
BuildRequires: libdiscid-devel
BuildRequires: taglib-devel
Requires:      kdebase4-runtime
Requires:      kaudiocreator
Obsoletes:     kdemultimedia-kaudiocreator < 1:3.5.10-2

%description
CD ripper and audio encoder frontend.

%files -f %name.lang
%defattr(-,root,root)
%{_kde_bindir}/kaudiocreator
%{_kde_datadir}/applications/kde4/kaudiocreator.desktop
%{_kde_appsdir}/kaudiocreator
%{_kde_appsdir}/kconf_update/kaudiocreator-libkcddb.upd
%{_kde_appsdir}/kconf_update/kaudiocreator-meta.upd
%{_kde_appsdir}/kconf_update/upgrade-kaudiocreator-metadata.sh
%{_kde_datadir}/config.kcfg/kaudiocreator.kcfg
%{_kde_datadir}/config.kcfg/kaudiocreator_encoders.kcfg
%{_kde_iconsdir}/hicolor/*/apps/kaudiocreator.png
%{_kde_datadir}/kde4/services/ServiceMenus/audiocd_extract.desktop


#--------------------------------------------------------------------------

%prep
%setup -q

%build

%cmake_kde4

%make

%install
rm -rf %buildroot

%makeinstall_std -C build

%find_lang %name

%clean
rm -rf %buildroot


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.3-3.mga3
+ Revision: 355825
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + mikala <mikala>
    - Add requires for kcm_cddb (needed to configure kcddb under kde)

* Tue Jul 03 2012 fwang <fwang> 1.3-2.mga3
+ Revision: 266876
- br kcddb
- update br

* Sat Sep 10 2011 fwang <fwang> 1.3-1.mga2
+ Revision: 142022
- new version 1.3
- ad locale files
- new version 1.2.95

* Thu Mar 03 2011 jquelin <jquelin> 1.2.90-1.mga1
+ Revision: 63325
- mageia rebuild
- imported package kaudiocreator

